Skip to main content
POST
/
api
/
uploads
Create a direct upload session
curl --request POST \
  --url https://convertly.sh/api/uploads \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "filename": "<string>",
  "sizeBytes": 2
}
'
{
  "upload": {
    "bucket": "<string>",
    "path": "<string>",
    "signedUrl": "<string>",
    "token": "<string>",
    "expiresInSeconds": 123
  },
  "complete": {
    "url": "<string>",
    "body": {
      "path": "<string>",
      "filename": "<string>",
      "sizeBytes": 2,
      "contentType": "application/octet-stream",
      "folderId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  },
  "resumable": {
    "endpoint": "<string>",
    "chunkSize": 123,
    "headers": {},
    "metadata": {}
  }
}

Authorizations

Authorization
string
header
required

Dashboard-generated Convertly API key. Keys currently begin with cvly_.

Body

application/json
filename
string
required
Required string length: 1 - 180
sizeBytes
integer
required
Required range: x >= 1
contentType
string
default:application/octet-stream
folderId
string<uuid> | null
resumable
boolean
default:true

Response

Upload session created

upload
object
required
complete
object
required
resumable
object